Skip to main content

Get Audit Event

GET /v1/audit/events/{event_id}

Authentication

Requires authentication via: OAuth2PasswordBearer.

Parameters

NameInTypeRequiredDescriptionConstraints
event_idpathstringYes
X-API-Keyheaderstring | nullNonullable

Responses

200

Successful Response

application/json

Resolved schema:

{
"properties": {
"id": {
"type": "string",
"title": "Id"
},
"created_at": {
"type": "string",
"format": "date-time",
"title": "Created At"
},
"user_id": {
"anyOf": [
{
"type": "integer"
},
{
"type": "null"
}
],
"title": "User Id"
},
"actor_type": {
"type": "string",
"title": "Actor Type"
},
"actor_id": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"title": "Actor Id"
},
"source": {
"type": "string",
"title": "Source"
},
"event_group": {
"type": "string",
"title": "Event Group"
},
"event_type": {
"type": "string",
"title": "Event Type"
},
"status": {
"type": "string",
"title": "Status"
},
"resource_type": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"title": "Resource Type"
},
"resource_id": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"title": "Resource Id"
},
"session_id": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"title": "Session Id"
},
"vm_id": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"title": "Vm Id"
},
"task_id": {
"anyOf": [
{
"type": "integer"
},
{
"type": "null"
}
],
"title": "Task Id"
},
"request_id": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"title": "Request Id"
},
"correlation_id": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"title": "Correlation Id"
},
"http_method": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"title": "Http Method"
},
"path": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"title": "Path"
},
"http_status": {
"anyOf": [
{
"type": "integer"
},
{
"type": "null"
}
],
"title": "Http Status"
},
"latency_ms": {
"anyOf": [
{
"type": "number"
},
{
"type": "null"
}
],
"title": "Latency Ms"
},
"ip_address": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"title": "Ip Address"
},
"user_agent": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"title": "User Agent"
},
"node_ip": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"title": "Node Ip"
},
"worker_id": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"title": "Worker Id"
},
"event_payload": {
"anyOf": [
{},
{
"type": "null"
}
],
"title": "Event Payload"
},
"error_message": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"title": "Error Message"
}
},
"type": "object",
"required": [
"id",
"created_at",
"actor_type",
"source",
"event_group",
"event_type",
"status"
],
"title": "AuditEventResponse"
}

Field details:

FieldTypeRequiredDescriptionConstraints
idstringYes
created_atstringYesformat=date-time
user_idinteger | nullNonullable
actor_typestringYes
actor_idstring | nullNonullable
sourcestringYes
event_groupstringYes
event_typestringYes
statusstringYes
resource_typestring | nullNonullable
resource_idstring | nullNonullable
session_idstring | nullNonullable
vm_idstring | nullNonullable
task_idinteger | nullNonullable
request_idstring | nullNonullable
correlation_idstring | nullNonullable
http_methodstring | nullNonullable
pathstring | nullNonullable
http_statusinteger | nullNonullable
latency_msnumber | nullNonullable
ip_addressstring | nullNonullable
user_agentstring | nullNonullable
node_ipstring | nullNonullable
worker_idstring | nullNonullable
event_payloadobject | nullNonullable
error_messagestring | nullNonullable

422

Validation Error

application/json

Resolved schema:

{
"properties": {
"detail": {
"items": {
"properties": {
"loc": {
"items": {
"anyOf": [
{
"type": "string"
},
{
"type": "integer"
}
]
},
"type": "array",
"title": "Location"
},
"msg": {
"type": "string",
"title": "Message"
},
"type": {
"type": "string",
"title": "Error Type"
}
},
"type": "object",
"required": [
"loc",
"msg",
"type"
],
"title": "ValidationError"
},
"type": "array",
"title": "Detail"
}
},
"type": "object",
"title": "HTTPValidationError"
}

Field details:

FieldTypeRequiredDescriptionConstraints
detailarray<object>No
detail[]objectNo
detail[].locarray<string | integer>No
detail[].loc[]string | integerNo
detail[].msgstringNo
detail[].typestringNo